pod 问题解决记录

字数 495阅读 154

1、pod 警告
[!] The LiveChat_Techer [Release] target overrides the HEADER_SEARCH_PATHS build setting defined in Pods/Target Support Files/Pods-LiveChat_Techer/Pods-LiveChat_Techer.release.xcconfig'. This can lead to problems with the CocoaPods installation - Use the$(inherited)` flag, or
- Remove the build settings from the target.

按照提示解决是很简单的,但是,为什么要这么做呢?

相关链接
What is $(inherited) in Xcode’s search path settings? – Stack Overflow

inherited 字面意思是:继承的
实际上的含义,目前的理解是:继承自更高一级的配置
-》由到高低的配置,分别是:
Basic的Project中的配置-》此处的Target的配置-》具体的Debug还是Release的配置

2、中国用户,xcode更新到9.0 以后,原来的realm 编译报错,
m_notifier = std::make_shared<_impl::ObjectNotifier>(m_row, m_realm); No viable overloaded '='
然后 文章二说要更新realm 到2.8.1 之后版本, 但pod 更新realm 报错
解决参考文章:
文章一:http://www.jianshu.com/p/b61ee48cf47e
文章二:https://github.com/realm/realm-cocoa/issues/2713

a、参考文章二说明 下载2个文件
https://static.realm.io/downloads/sync/realm-sync-cocoa-1.10.8.tar.xz

https://static.realm.io/downloads/core/realm-core-2.8.1.tar.xz

b、参考文章一,修改build.sh代码,在download_core()的代码中打印一下TMP_DIR、CORE_TMP_TAR、CORE_TAR、REALM_CORE_VERSION和REALM_SYNC_VERSION这几个变量,记住echo的代码要写在变量赋值语句后面。然后我们执行一下命令,看看结果。
我打印的路径
/var/folders/_s/r3q3fpbs2tx05ddvkhkkhzg00000gn/T//core_bin
/var/folders/_s/r3q3fpbs2tx05ddvkhkkhzg00000gn/T//core_bin/core-.tar.xz.tmp
/var/folders/_s/r3q3fpbs2tx05ddvkhkkhzg00000gn/T//core_bin/core-.tar.xz

c、Finder——go to folder ,输入上述第一个路径,把下载好的2个文件,放到core_bin 文件夹里

d、参考文章一 ,根据build.sh的代码要求修改文件名为core-2.8.1.tar.xz, 重新pod update --verbose --no-repo-update, pod 更新realm成功。

推荐阅读更多精彩内容